/* tslint:disable */
/* eslint-disable */
/**
 * e-commerce-service
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.74
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { HealthzControllerCheck200ResponseInfoValue } from './healthz-controller-check200-response-info-value';

/**
 * 
 * @export
 * @interface HealthzControllerCheck503Response
 */
export interface HealthzControllerCheck503Response {
    /**
     * 
     * @type {string}
     * @memberof HealthzControllerCheck503Response
     */
    'status'?: string;
    /**
     * 
     * @type {{ [key: string]: HealthzControllerCheck200ResponseInfoValue; }}
     * @memberof HealthzControllerCheck503Response
     */
    'info'?: { [key: string]: HealthzControllerCheck200ResponseInfoValue; } | null;
    /**
     * 
     * @type {{ [key: string]: HealthzControllerCheck200ResponseInfoValue; }}
     * @memberof HealthzControllerCheck503Response
     */
    'error'?: { [key: string]: HealthzControllerCheck200ResponseInfoValue; } | null;
    /**
     * 
     * @type {{ [key: string]: HealthzControllerCheck200ResponseInfoValue; }}
     * @memberof HealthzControllerCheck503Response
     */
    'details'?: { [key: string]: HealthzControllerCheck200ResponseInfoValue; };
}

